Package ghidra.framework.main.datatree

# Class JavaFileListHandler

java.lang.Object
ghidra.framework.main.datatree.JavaFileListHandler

All Implemented Interfaces:
  `FileOpenDataFlavorHandler`, `DataTreeFlavorHandler`

public final class JavaFileListHandler extends Object
A handler to facilitate drag-n-drop for a list of Java `File` objects which is dropped onto the Project data tree or a running Ghidra Tool (see `DataFlavor.javaFileListFlavor`).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFileListHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doImport(DomainFolder folder, List<File> files, PluginTool tool, Component component)`
  Do import when destination folder has been specified (e.g., data tree folder node).
  `protected DomainFolder`
  `getDomainFolder(GTreeNode destinationNode)`
  `boolean`
  `handle(PluginTool tool, DataTree dataTree, GTreeNode destinationNode, Object transferData, int dropAction)`
  `void`
  `handle(PluginTool tool, Object transferData, DropTargetDropEvent e, DataFlavor f)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFileListHandler

    public JavaFileListHandler()

- ## Method Details

  - ### handle

    public void handle(PluginTool tool, Object transferData, DropTargetDropEvent e, DataFlavor f)

  - ### handle

    public boolean handle(PluginTool tool, DataTree dataTree, GTreeNode destinationNode, Object transferData, int dropAction)

  - ### doImport

    protected void doImport(DomainFolder folder, List<File> files, PluginTool tool, Component component)
    Do import when destination folder has been specified (e.g., data tree folder node).
    Parameters:
      `folder` - destination folder (if null root folder will be assumed)
      `files` - files to be imported
      `tool` - target tool (active/current project assumed)
      `component` - parent component for popup messages

  - ### getDomainFolder

    protected DomainFolder getDomainFolder(GTreeNode destinationNode)